## org.eclipse.xsd.ecore.importer
Class XSDImporter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter
          org.eclipse.emf.importer.ModelImporter
              org.eclipse.xsd.ecore.importer.XSDImporter

    public class XSDImporter

extends ModelImporter

Nested Class Summary
`static class` `XSDImporter.MapHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.importer.ModelImporter
`ModelImporter.EPackageImportInfo`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ModelConverter
`ModelConverter.EPackageConvertInfo, ModelConverter.ReferencedEPackageFilter, ModelConverter.ReferencedGenPackageConvertInfo`

Field Summary
`protected boolean` `createEcoreMap`
`protected EObject` `mappingRoot`

Fields inherited from class org.eclipse.emf.importer.ModelImporter
`fileExtensions, GENANNOTATION_SOURCE_PREFIX, genModelContainerPath, genModelFileName, genModelPath, genModelProjectLocation, modelLocation, modelLocationURIs, modelPluginDirectory, modelPluginID, originalGenModel, originalGenModelPath, projectName, usePlatformURI, workspaceRoot`

Fields inherited from class org.eclipse.emf.converter.ModelConverter
`ePackages, ePackageToInfoMap, externalGenModelList, externalGenModelResourceSet, genModel, referencedEPackageFilter, referencedEPackageFilterToConvert, referencedGenPackages, referencedGenPackageToInfoMap`

Constructor Summary
`XSDImporter()`

Method Summary
`protected void` `adjustGenModel(Monitor monitor)`
`protected void` `adjustGenPackageDuringTraverse(GenPackage genPackage)`
`boolean` `canCreateEcoreMap()`
`protected java.util.List<Resource>` `computeResourcesToBeSaved()`
`boolean` `createEcoreMap()`
`void` `dispose()`
`protected Diagnostic` `doComputeEPackages(Monitor monitor)`
`java.lang.String` `getID()`
`EObject` `getMappingRoot()`
`protected void` `handleOriginalGenModel()`
`protected java.lang.Object` `removeNonEPackageFromTheEnd(java.util.List<java.lang.Object> list)`
`void` `setCreateEcoreMap(boolean createEcoreMap)`
`void` `setMappingRoot(EObject mappingRoot)`

Methods inherited from class org.eclipse.emf.importer.ModelImporter

`addGenModelToResource, addToResource, adjustEPackage, adjustEPackages, adjustUsedGenPackages, canConvert, checkEcoreModelFileName, checkGenModelFileName, computeDefaultGenModelFileName, computeEPackages, computeEPackagesBeingReloaded, computeGenModelContainerPath, computeModelProjectName, createEPackageInfo, createExternalGenModelResourceSet, createFileURI, createProject, defineOriginalGenModelPath, getConverterGenAnnotationSource, getEcoreSaveOptions, getEPackageImportInfo, getFileExtensions, getFirstModelLocationURI, getGenModel, getGenModelContainerPath, getGenModelDefaultFolderPath, getGenModelFileName, getGenModelPath, getGenModelProjectLocation, getGenModelResourceSet, getGenPackage, getModelLocation, getModelLocationURIs, getModelPluginDirectory, getModelPluginID, getModelProjectName, getOriginalGenModel, getOriginalGenModelPath, getWorkspaceRoot, loadOriginalGenModel, makeAbsolute, makeRelative, prepareGenModelAndEPackages, presetEPackagesToGenerate, saveGenModelAndEPackages, setGenModelContainerPath, setGenModelFileName, setGenModelProjectLocation, setModelFile, setModelLocation, setModelPluginDirectory, setModelPluginID, setModelProjectName, setUsePlatformURI, traverseGenPackages, usePlatformURI`

Methods inherited from class org.eclipse.emf.converter.ModelConverter

`clearEPackageConvertInfoCache, clearEPackagesCollections, clearReferenceGenPackageConvertInfoCache, computeEPackagesToConvert, computeValidReferencedGenPackages, createEPackagesList, createGenPackageConvertInfo, createReferencedEPackageFilter, createReferencedEPackageFilterToConvert, createReferencedGenPackagesList, createResourceSet, filterReferencedEPackages, filterReferencedEPackagesToConvert, getEPackageConvertInfo, getEPackages, getEPackageToInfoMap, getExternalGenModels, getGenmodelSaveOptions, getGenModelSaveOptions, getReferencedGenPackages, getReferencedGenPackageToInfoMap, getReferenceGenPackageConvertInfo, getReferredEPackage, makeEPackageConvertDataUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### createEcoreMap

    protected boolean createEcoreMap

### mappingRoot

    protected EObject mappingRoot

Constructor Detail

### XSDImporter

    public XSDImporter()

Method Detail

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `ModelImporter`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in class `ModelConverter`

### canCreateEcoreMap

    public boolean canCreateEcoreMap()

### setCreateEcoreMap

    public void setCreateEcoreMap(boolean createEcoreMap)

### createEcoreMap

    public boolean createEcoreMap()

### setMappingRoot

    public void setMappingRoot(EObject mappingRoot)

### getMappingRoot

    public EObject getMappingRoot()

### doComputeEPackages

    protected Diagnostic doComputeEPackages(Monitor monitor)
                                     throws java.lang.Exception

  Overrides:
    `doComputeEPackages` in class `ModelImporter`
  Throws:
    `java.lang.Exception`

### removeNonEPackageFromTheEnd

    protected java.lang.Object removeNonEPackageFromTheEnd(java.util.List<java.lang.Object> list)

### adjustGenPackageDuringTraverse

    protected void adjustGenPackageDuringTraverse(GenPackage genPackage)

  Overrides:
    `adjustGenPackageDuringTraverse` in class `ModelImporter`

### adjustGenModel

    protected void adjustGenModel(Monitor monitor)

  Overrides:
    `adjustGenModel` in class `ModelImporter`

### computeResourcesToBeSaved

    protected java.util.List<Resource> computeResourcesToBeSaved()

  Overrides:
    `computeResourcesToBeSaved` in class `ModelImporter`

### handleOriginalGenModel

    protected void handleOriginalGenModel()
                                   throws DiagnosticException

  Overrides:
    `handleOriginalGenModel` in class `ModelImporter`
  Throws:
    `DiagnosticException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.